Package helma.objectmodel.dom

# Class XmlConverter

java.lang.Object
helma.objectmodel.dom.XmlConverter

All Implemented Interfaces:
  `XmlConstants`

public class XmlConverter extends Object implements XmlConstants

## Field Summary

### Fields inherited from interface helma.objectmodel.dom.XmlConstants

`DATEFORMAT, NAMESPACE`

## Constructor Summary

Constructors
Constructor
Description
`XmlConverter()`
Creates a new XmlConverter object.
`XmlConverter(File propFile)`
Creates a new XmlConverter object.
`XmlConverter(String propFile)`
Creates a new XmlConverter object.
`XmlConverter(Properties props)`
Creates a new XmlConverter object.

## Method Summary

Modifier and Type
Method
Description
`INode`
`convert(File file, INode helmaNode)`
`INode`
`convert(InputStream in, INode helmaNode)`
`INode`
`convert(String desc, INode helmaNode)`
`INode`
`convert(URL url, INode helmaNode)`
`INode`
`convert(Element element, INode helmaNode, Map nodeCache)`
`INode`
`convertFromString(String xml, INode helmaNode)`
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XmlConverter

public XmlConverter()
Creates a new XmlConverter object.

### XmlConverter

public XmlConverter(String propFile)
Creates a new XmlConverter object.

Parameters:
  `propFile` - ...

### XmlConverter

public XmlConverter(File propFile)
Creates a new XmlConverter object.

Parameters:
  `propFile` - ...

### XmlConverter

public XmlConverter(Properties props)
Creates a new XmlConverter object.

Parameters:
  `props` - ...

## Method Details

### convert

public INode convert(String desc, INode helmaNode) throws RuntimeException

Parameters:
  `desc` - ...
  `helmaNode` - ...
Returns:
  ...
Throws:
  `RuntimeException` - ...

### convert

public INode convert(File file, INode helmaNode) throws RuntimeException, FileNotFoundException

Parameters:
  `file` - ...
  `helmaNode` - ...
Returns:
  ...
Throws:
  `RuntimeException` - ...
  `FileNotFoundException` - ...

### convert

public INode convert(URL url, INode helmaNode) throws RuntimeException, IOException, MalformedURLException

Parameters:
  `url` - ...
  `helmaNode` - ...
Returns:
  ...
Throws:
  `RuntimeException` - ...
  `IOException` - ...
  `MalformedURLException` - ...

### convert

public INode convert(InputStream in, INode helmaNode) throws RuntimeException

Parameters:
  `in` - ...
  `helmaNode` - ...
Returns:
  ...
Throws:
  `RuntimeException` - ...

### convertFromString

public INode convertFromString(String xml, INode helmaNode) throws RuntimeException

Parameters:
  `xml` - ...
  `helmaNode` - ...
Returns:
  ...
Throws:
  `RuntimeException` - ...

### convert

public INode convert(Element element, INode helmaNode, Map nodeCache)

Parameters:
  `element` - ...
  `helmaNode` - ...
  `nodeCache` - ...
Returns:
  ...

### main

public static void main(String[] args)

Parameters:
  `args` - ...